## org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library
Interface LibraryPackage.Literals

Enclosing interface:
  LibraryPackage

    public static interface LibraryPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Generated:

Field Summary
`static EClass` `BOOK` The meta object literal for the '`Book`' class.
`static EAttribute` `BOOK__ISBN` The meta object literal for the 'ISBN' attribute feature.
`static EReference` `BOOK__LIBRARY` The meta object literal for the 'Library' container reference feature.
`static EAttribute` `BOOK__NAME` The meta object literal for the 'Name' attribute feature.
`static EReference` `BOOK__WRITER` The meta object literal for the 'Writer' reference feature.
`static EClass` `LIBRARY` The meta object literal for the '`Library`' class.
`static EReference` `LIBRARY__BOOKS` The meta object literal for the 'Books' containment reference list feature.
`static EAttribute` `LIBRARY__NAME` The meta object literal for the 'Name' attribute feature.
`static EReference` `LIBRARY__WRITERS` The meta object literal for the 'Writers' containment reference list feature.
`static EClass` `WRITER` The meta object literal for the '`Writer`' class.
`static EReference` `WRITER__LIBRARY` The meta object literal for the 'Library' container reference feature.
`static EAttribute` `WRITER__NAME` The meta object literal for the 'Name' attribute feature.

Field Detail

### LIBRARY

    static final EClass LIBRARY

  The meta object literal for the '`Library`' class.

  See Also:
    `org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library.impl.LibraryImpl`, `org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library.impl.LibraryPackageImpl#getLibrary()`
  Generated:

### LIBRARY__NAME

    static final EAttribute LIBRARY__NAME

  The meta object literal for the 'Name' attribute feature.

  Generated:

### LIBRARY__WRITERS

    static final EReference LIBRARY__WRITERS

  The meta object literal for the 'Writers' containment reference list feature.

  Generated:

### LIBRARY__BOOKS

    static final EReference LIBRARY__BOOKS

  The meta object literal for the 'Books' containment reference list feature.

  Generated:

### WRITER

    static final EClass WRITER

  The meta object literal for the '`Writer`' class.

  See Also:
    `org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library.impl.WriterImpl`, `org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library.impl.LibraryPackageImpl#getWriter()`
  Generated:

### WRITER__NAME

    static final EAttribute WRITER__NAME

  The meta object literal for the 'Name' attribute feature.

  Generated:

### WRITER__LIBRARY

    static final EReference WRITER__LIBRARY

  The meta object literal for the 'Library' container reference feature.

  Generated:

### BOOK

    static final EClass BOOK

  The meta object literal for the '`Book`' class.

  See Also:
    `org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library.impl.BookImpl`, `org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library.impl.LibraryPackageImpl#getBook()`
  Generated:

### BOOK__NAME

    static final EAttribute BOOK__NAME

  The meta object literal for the 'Name' attribute feature.

  Generated:

### BOOK__ISBN

    static final EAttribute BOOK__ISBN

  The meta object literal for the 'ISBN' attribute feature.

  Generated:

### BOOK__WRITER

    static final EReference BOOK__WRITER

  The meta object literal for the 'Writer' reference feature.

  Generated:

### BOOK__LIBRARY

    static final EReference BOOK__LIBRARY

  The meta object literal for the 'Library' container reference feature.

  Generated: